Bug 38744 - qemu-kvm: multiple issues (4.0)
qemu-kvm: multiple issues (4.0)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.0
Other Linux
: P3 normal (vote)
: UCS 4.0-2-errata
Assigned To: Philipp Hahn
Erik Damrose
:
: 38668 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-22 18:57 CEST by Arvid Requate
Modified: 2015-07-28 15:48 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Security
Max CVSS v3 score:
requate: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2015-06-22 18:57:06 CEST
Upstream Debian package version 1.1.2+dfsg-6+deb7u8 fixes these issues:

* A privileged guest user in a guest with an AMD PCNet ethernet card enabled can potentially use this flaw to execute arbitrary code on the host with the privileges of the hosting QEMU process (CVE-2015-3209)

* QEMU's user mode networking stack uses predictable temporary file names when the -smb option is used. An unprivileged user can use this flaw to cause a denial of service (CVE-2015-4037)
Comment 1 Arvid Requate univentionstaff 2015-06-22 18:58:23 CEST
*** Bug 38668 has been marked as a duplicate of this bug. ***
Comment 2 Philipp Hahn univentionstaff 2015-06-23 16:24:11 CEST
repo_admin.py -U -p qemu-kvm -d wheezy -r 4.0-0-0 -s errata4.0-2
build-package-ng -r 4.0-0-0 -P ucs -s errata4.0-2 --no-pbuilder-update -p qemu-kvm

Package: qemu-kvm
Version: 1.1.2+dfsg-6.47.201506231351
Branch: ucs_4.0-0
Scope: errata4.0-2

r61426 | Bug #33279: qemu-kvm errata4.0-2 YAML
 2015-06-23-qemu-kvm.yaml

OK: apt-cache policy qemu-kvm
OK: deb-ver-comp 1.1.2+dfsg-6.44.201505131916 1.1.2+dfsg-6.47.201506231351
OK: zless /usr/share/doc/qemu-kvm/changelog.Debian.gz
OK: univention-install qemu-kvm=1.1.2+dfsg-6.44.201505131916
OK: univention-install qemu-kvm=1.1.2+dfsg-6.47.201506231351
OK: apt-get remove qemu-kvm
OK: univention-install qemu-kvm
OK: apt-get purge qemu-kvm
OK: univention-install qemu-kvm
OK: apt-get remove qemu-kvm
OK: apt-get purge qemu-kvm
OK: amd64 i386
OK: <model type='pcnet'/>
Comment 3 Erik Damrose univentionstaff 2015-07-27 13:40:26 CEST
(In reply to Philipp Hahn from comment #2)
> repo_admin.py -U -p qemu-kvm -d wheezy -r 4.0-0-0 -s errata4.0-2
> build-package-ng -r 4.0-0-0 -P ucs -s errata4.0-2 --no-pbuilder-update -p
> qemu-kvm
> 
> Package: qemu-kvm
> Version: 1.1.2+dfsg-6.47.201506231351
> Branch: ucs_4.0-0
> Scope: errata4.0-2
> 
> r61426 | Bug #33279: qemu-kvm errata4.0-2 YAML
>  2015-06-23-qemu-kvm.yaml
> 
> OK: apt-cache policy qemu-kvm
> OK: deb-ver-comp 1.1.2+dfsg-6.44.201505131916 1.1.2+dfsg-6.47.201506231351
> OK: zless /usr/share/doc/qemu-kvm/changelog.Debian.gz
> OK: univention-install qemu-kvm=1.1.2+dfsg-6.44.201505131916
> OK: univention-install qemu-kvm=1.1.2+dfsg-6.47.201506231351
> OK: apt-get remove qemu-kvm
> OK: univention-install qemu-kvm
> OK: apt-get purge qemu-kvm
> OK: univention-install qemu-kvm
> OK: apt-get remove qemu-kvm
> OK: apt-get purge qemu-kvm
> OK: amd64 i386
> OK: <model type='pcnet'/>
OK
r62426 Update yaml
OK: Installation + Upgrade
OK: Previous VMs and snapshots work fine
OK: New instance creation
-> Verified
Comment 4 Janek Walkenhorst univentionstaff 2015-07-28 15:48:56 CEST
<http://errata.univention.de/ucs/4.0/259.html>